Bug 162158 - [kde] ooimpress-crash during save/write
[kde] ooimpress-crash during save/write
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2005-06-30 10:07 EDT by Sammy
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.9.116-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-13 03:56:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Presentation - large file (12.29 MB, application/octet-stream)
2005-07-06 14:49 EDT, Sammy
no flags Details
Single slide sxi file (46.58 KB, application/octet-stream)
2005-07-11 10:12 EDT, Sammy
no flags Details

  None (edit)
Description Sammy 2005-06-30 10:07:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; en_US) KHTML/3.4.1 (like Gecko)

Description of problem:
Now that the formula fonts are working I made a few changes to my  
presentation and tried to save it. Both Save and Save as.. come back  
with an error saying it cannot write the file. The permissions are all fine  
and I am at today's rawhide level. Once in a while it manages to write  
and sometimes it spews out an error message like this:  
$ ooimpress 
---start copy and paste here--- 
0x746b0a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db0a 
0x747358: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e358 
0x91e420:  + 0x420 (__kernel_sigreturn + 0x0) 
0xf9479b: /usr/X11R6/lib/libX11.so.6 + 0x3579b 
0xf76065: /usr/X11R6/lib/libX11.so.6 + 0x17065 (XCreatePixmap + 0xa5) 
0x1c89007: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x20007 
0x1c7bbfa: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x12bfa 
0x1c7c1db: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x131db 
0x1c7c4c1: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x134c1 
0x1c7c643: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x13643 
0x1c7c6a5: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x136a5 
0x7402ad: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x172ad 
0x63ab80: /lib/libpthread.so.0 + 0x5b80 
0x1b67d4e: /lib/libc.so.6 + 0xcad4e (__clone + 0x5e) 
---end copy and paste here--- 
paste the above into your bug report 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open presentations with ooimpress 
2. make some changes 
3. try to save as .sxi or .odp 

Additional info:
Comment 1 Sammy 2005-06-30 10:14:30 EDT
Here is another:

$ ooimpress
terminate called after throwing an instance of

---start copy and paste here---
0xb00b0a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db0a
0xb01358: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e358
0x390420:  + 0x420 (__kernel_sigreturn + 0x0)
0x6f0a8a8: /lib/libc.so.6 + 0x298a8 (abort + 0xf8)
0x1cf960e: /usr/lib/libstdc++.so.6 + 0xb560e
(__gnu_cxx::__verbose_terminate_handler() + 0x16e)
0x1cf72e1: /usr/lib/libstdc++.so.6 + 0xb32e1
0x1cf7316: /usr/lib/libstdc++.so.6 + 0xb3316
0x1cf744a: /usr/lib/libstdc++.so.6 + 0xb344a (__cxa_rethrow + 0x0)
0x25b94f5: /usr/lib/openoffice.org2.0/program/libxstor.so + 0x214f5
(OStorage::dispose() + 0x51)
0x22cffbb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x10ffbb
(SfxObjectShell::~SfxObjectShell() + 0x22d)
0x3c8e921: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x17d921
(sd::DrawDocShell::~DrawDocShell() + 0x167)
0x638017: /usr/lib/openoffice.org2.0/program/libtl680li.so + 0x62017
(SvRefBase::QueryDelete() + 0x13)
0xa8b017: /usr/lib/openoffice.org2.0/program/libsot680li.so + 0x10017
(SotObject::QueryDelete() + 0x29)
0x2252739: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x92739
0x2252ddd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x92ddd
0x233a082: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17a082
0x233f1d4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17f1d4
(SfxTopViewFrame::~SfxTopViewFrame() + 0x52)
0x233fc78: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17fc78
(SfxTopViewFrame::Close() + 0x58)
0x23286e3: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1686e3
0x2345842: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x185842
(SfxBaseController::dispose() + 0x2fe)
0x3d05a67: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x1f4a67
0x7eacde7: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x4ede7
0x7eab6c9: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x4d6c9
0x7e9417b: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x3617b
0x2265c46: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa5c46
0x225f08a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9f08a
0x235385a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19385a
0x2352c47: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x192c47
0x2352f5b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x192f5b
0x2352ffe: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x192ffe
0x2256fda: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x96fda
0x236bfa1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1abfa1
0x236be5c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1abe5c
0x236bfb6: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1abfb6
0x236be48: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1abe48
0x18b302: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7a302
0x2df72b: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1ce72b
0x716911c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x2211c
0x718e27b: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4727b
(SalDisplay::DispatchInternalEvent() + 0xad)
0x6b5e993: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa993
0x720e1a0: /usr/lib/libglib-2.0.so.0 + 0x261a0
0x720bf3e: /usr/lib/libglib-2.0.so.0 + 0x23f3e (g_main_context_dispatch + 0x1dc)
0x720ef46: /usr/lib/libglib-2.0.so.0 + 0x26f46
0x720f428: /usr/lib/libglib-2.0.so.0 + 0x27428 (g_main_context_iteration + 0x66)
0x6b5e5b9: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa5b9
0x718ff41: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x48f41
(X11SalInstance::Yield(unsigned char) + 0x29)
0x191670: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80670
(Application::Yield() + 0x50)
0x1916ae: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x806ae
(Application::Execute() + 0x26)
0x80667c7: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x1e7c7
(desktop::Desktop::Main() + 0x14a3)
0x196a93: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x85a93 (SVMain()
+ 0x45)
0x80618cb: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x198cb (sal_main +
0x6ef5d46: /lib/libc.so.6 + 0x14d46 (__libc_start_main + 0xc6)
0x8061801: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x19801
(Window::RequestHelp(HelpEvent const&) + 0x31)
---end copy and paste here---
paste the above into your bug report
Comment 2 Sammy 2005-06-30 10:35:57 EDT
I just tried the official 1.9.109 rpms and have the same problem.
Comment 3 eparsons 2005-07-01 07:41:01 EDT
Further crashes on ooimpress simply editing a presentation.  The presentation
was created through the wizard.  Problem occurred twice in a row, but otherwise
haven't been able to reproduce.

Traceback similar to others:

0x846b0a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db0a
0x847358: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e358
0x303420:  + 0x420 (__kernel_sigreturn + 0x0)
0x29f5bfa: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x12bfa
0x29f61db: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x131db
0x29f64c1: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x134c1
0x29f6643: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x13643
0x29f66a5: /usr/lib/openoffice.org2.0/program/libdtransX11680li.so + 0x136a5
0x8402ad: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x172ad
0x51fb80: /lib/libpthread.so.0 + 0x5b80
0xe15dee: /lib/libc.so.6 + 0xcadee (__clone + 0x5e)

Comment 4 Caolan McNamara 2005-07-01 07:51:34 EDT
the libdtransX11 lib might indicate that this is something to do with having
something selected, or in the paste buffer.
Comment 5 Sammy 2005-07-05 10:40:22 EDT
The same problem persists with openoffice.org-1.9.114-1.2.0.fc5. The save operation cannot 
write a file. It happens both as a regular user and as "root". The dump is below, which does 
not seem to have the X11 stuff anymore. 
terminate called after throwing an instance of 'com::sun::star::lang::DisposedException' 
---start copy and paste here--- 
0x90eb3e: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db3e 
0x90f38c: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e38c 
0x507420:  + 0x420 (__kernel_sigreturn + 0x0) 
0x5d688a8: /lib/libc.so.6 + 0x298a8 (abort + 0xf8) 
0x112560e: /usr/lib/libstdc++.so.6 + 0xb560e (__gnu_cxx::__verbose_terminate_handler() + 
0x11232e1: /usr/lib/libstdc++.so.6 + 0xb32e1 
0x1123316: /usr/lib/libstdc++.so.6 + 0xb3316 
0x112344a: /usr/lib/libstdc++.so.6 + 0xb344a (__cxa_rethrow + 0x0) 
0x717c4f5: /usr/lib/openoffice.org2.0/program/libxstor.so + 0x214f5 (OStorage::dispose() + 
0x1e6ffdb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x10ffdb 
(SfxObjectShell::~SfxObjectShell() + 0x22d) 
0x33e7969: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x17d969 
(sd::DrawDocShell::~DrawDocShell() + 0x167) 
0x8c9017: /usr/lib/openoffice.org2.0/program/libtl680li.so + 0x62017 
(SvRefBase::QueryDelete() + 0x13) 
0x770017: /usr/lib/openoffice.org2.0/program/libsot680li.so + 0x10017 
(SotObject::QueryDelete() + 0x29) 
0x1df2739: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x92739 
0x1df2ddd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x92ddd 
0x1eda0a2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17a0a2 
0x1edf1f4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17f1f4 
(SfxTopViewFrame::~SfxTopViewFrame() + 0x52) 
0x1edfc98: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17fc98 
(SfxTopViewFrame::Close() + 0x58) 
0x1ec8703: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x168703 
0x1ee5862: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x185862 
(SfxBaseController::dispose() + 0x2fe) 
0x345eaaf: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x1f4aaf 
0x2603d83: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x4ed83 
0x2602665: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x4d665 
0x25eb117: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x36117 
0x1e05c46: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa5c46 
0x1dff08a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9f08a 
0x1ef38a2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1938a2 
0x1ef2c8f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x192c8f 
0x1ef2fa3: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x192fa3 
0x1ef3046: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x193046 
0x1df6fda: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x96fda 
0x1f0bfe5: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1abfe5 
0x1f0bea0: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1abea0 
0x1f0bffa: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1abffa 
0x1f0be8c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1abe8c 
0xcdd302: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7a302 
0xe317ef: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1ce7ef 
0x126015c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x2215c 
0x12853f3: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x473f3 
(SalDisplay::DispatchInternalEvent() + 0xad) 
0xc459af: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa9af 
0x11d8d90: /usr/lib/libglib-2.0.so.0 + 0x26d90 
0x11d6b2e: /usr/lib/libglib-2.0.so.0 + 0x24b2e (g_main_context_dispatch + 0x1dc) 
0x11d9b36: /usr/lib/libglib-2.0.so.0 + 0x27b36 
0x11da018: /usr/lib/libglib-2.0.so.0 + 0x28018 (g_main_context_iteration + 0x66) 
0xc455d5: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa5d5 
0x12870bd: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x490bd 
(X11SalInstance::Yield(unsigned char) + 0x29) 
0xce367c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8067c (Application::Yield() + 
0xce36ba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x806ba (Application::Execute() + 
0x80667c7: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x1e7c7 (desktop::Desktop::Main() 
+ 0x14a3) 
0xce8aa9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x85aa9 (SVMain() + 0x45) 
0x80618cb: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x198cb (sal_main + 0x47) 
0x5d53d46: /lib/libc.so.6 + 0x14d46 (__libc_start_main + 0xc6) 
0x8061801: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x19801 
(Window::RequestHelp(HelpEvent const&) + 0x31) 
---end copy and paste here--- 
paste the above into your bug report 
Comment 6 Sammy 2005-07-05 11:05:27 EDT
One thing I just discovered is that, if I make change to a text part of the presentation 
I can save the file, but if I change something in any equation (by double clicking on the 
equation to go into math mode and make the change and come out to presentation by 
clicking on the presentation page) I can no longer save and the above crash happens. 
Comment 7 Caolan McNamara 2005-07-06 08:32:53 EDT
umar: could you attach your presentation which behave like this ? When I make a
simple one I can't reproduce it, so it might be something about loading
documents from an older OOo, or the content in the formulas
Comment 8 Sammy 2005-07-06 14:49:36 EDT
Created attachment 116427 [details]
Presentation - large file
Comment 9 Caolan McNamara 2005-07-10 11:25:23 EDT
Still there with 1.9.116-1 ?
Comment 10 Sammy 2005-07-10 17:52:10 EDT
Unfortunately yes...I just tested it. 
In addition when I go into the equation mode the fonts in the equation editor 
is looking weird (bold, 3D look with brackets etc showing as blanks). This was 
not the case with previous 1.9.xxx. 
Comment 11 Caolan McNamara 2005-07-11 04:14:18 EDT
I don't doubt that is a problem somewhere, but I just cannot see it. Now, when
loading this file I have '"tdhf_fusion.sxi" is corrupt and therefore cannot be
opened, should OOo repair the file', I say yes and it loads. I go to page 4
which has some equations and I double click to edit and just add a + 10 and hit
save which prompts me for a filename and saves in the new format without error,
a  save-as at this stage and save as the old format also works. And I see no
problem with the fonts either :-(. 

Can you stop OOo and move your .openoffice* dirs away to another location and
restart OOo and see if that made any difference, to see if there is a config
problem. Hold onto the old .openoff* dirs.
Comment 12 Sammy 2005-07-11 09:46:15 EDT
Well, I guess something happened during transmission because I do not get
any error messages when I am opening that file.

I test this on two different computers (same setup) both as root and an
ordinary user. I always removed the old rpm and all of the .xxxx directories
before installing/starting new OOo. Also, upto the last rawhide release
I did not have the font problem.

The font problem may suggest that there may be a KDE issue. Here are the
differences I can see on my system:

   1. I am using OO under KDE (the problem occurs for different themes including
      BlueCurve so it should not depend on that).

   2. I do not have the rawhide java stuff but SUN's Java SDK

   3. No Evolution Data Server

How can I remove the KDE library?

Comment 13 Sammy 2005-07-11 10:12:37 EDT
Created attachment 116602 [details]
Single slide sxi file
Comment 14 Sammy 2005-07-11 10:58:07 EDT
I found the official bug!


The problem is the KDE clipboard tool. If you turn it off then the save 
works just fine.

However, the font issue for equations is still there. As I said I do not see
this with previous versions in rawhide and neither with official 1.113 release.
Comment 15 Caolan McNamara 2005-07-11 11:14:38 EDT
So I was initially on the right track with "the libdtransX11 lib might indicate
that this is something to do with having something selected, or in the paste
buffer.", except I didn't have the crucial bit of info that it was KDE :-(

I'll ignore the font issue here, open a new bug for that with a screenshot and a
sample (small) which reproduces for you
Comment 16 Caolan McNamara 2005-07-11 11:34:07 EDT
I'll add the patch to our next spin
Comment 17 Caolan McNamara 2005-07-13 03:56:59 EDT
Should work in 1.9.116-3
Comment 18 Caolan McNamara 2005-07-21 09:29:22 EDT
*** Bug 163820 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.